<?php

declare(strict_types=1);

namespace App\Controller\TblModuloXUsuario;

use App\Service\TblModuloXUsuarioService;
use Pimple\Psr11\Container;

abstract class Base
{
    protected Container $container;

    public function __construct(Container $container)
    {
        $this->container = $container;
    }

    protected function getTblModuloXUsuarioService(): TblModuloXUsuarioService
    {
        return $this->container->get('TblModuloXUsuario_service');
    }
}
